import { OnChanges, SimpleChanges, EventEmitter, ChangeDetectorRef } from '@angular/core';
import { HighlightJS } from './highlight.service';
import { HighlightResult } from './highlight.model';
export declare class Highlight implements OnChanges {
    private _hljs;
    private _cd;
    highlightedCode: string;
    code: string;
    languages: string[];
    highlighted: EventEmitter<HighlightResult>;
    constructor(_hljs: HighlightJS, _cd: ChangeDetectorRef);
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * Highlighting with language detection and fix markup.
     * @param code Accepts a string with the code to highlight
     * @param languages An optional array of language names and aliases restricting detection to only those languages.
     * The subset can also be set with configure, but the local parameter overrides the option if set.
     */
    highlightElement(code: string, languages?: string[]): void;
}
